vcarbs

Cem's Auto Rice Bootstrapping Scripts, for Void Linux
git clone git://git.ckyln.com/vcarbs.git
Log | Files | Refs | README | LICENSE

commit bb72458df4564673c1d6fd8670839c20fd74c10e
parent cdf35d9182dd6e02feab9af98820d259cc774d11
Author: Cem Keylan <cem@ckyln.com>
Date:   Wed, 20 Nov 2019 13:27:53 +0300

install fonts configuration

Diffstat:
Apost-install/install-fonts.sh | 30++++++++++++++++++++++++++++++
1 file changed, 30 insertions(+), 0 deletions(-)

diff --git a/post-install/install-fonts.sh b/post-install/install-fonts.sh @@ -0,0 +1,30 @@ +#!/usr/bin/env sh + +## CARBS, Cem's Auto-Rice Bootstrapping Script +## Copyright (C) 2019 Cem Keylan <cem@ckyln.com> + +## This program is free software: you can redistribute it and/or modify +## it under the terms of the GNU General Public License as published by +## the Free Software Foundation, either version 3 of the License, or +## (at your option) any later version. +## +## This program is distributed in the hope that it will be useful, +## but WITHOUT ANY WARRANTY; without even the implied warranty of +## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the +## GNU General Public License for more details. +## +## You should have received a copy of the GNU General Public License +## along with this program. If not, see <https://www.gnu.org/licenses/>. + +out() { prinf "$1\\n"; } +error() { out "==> ERROR: $@"; } >&2 +msg() { out "==> $@"; } +die() { error "$@"; exit 1; } + +! [ "$1" = "$HOME" ] && die "Target directory is not $HOME, exiting..." + +out "Installing fonts configuration" +[ -e "$HOME/.local/share/carbs/55-fonts.conf" ] || die "Could not find font configuration" +sudo mkdir -p /etc/X11/xorg.conf.d || die "Could not create directory for fonts configuration" +sudo cp "$HOME/.local/share/carbs/55-fonts.conf" /etc/X11/xorg.conf.d || die "Could not copy configuration" +msg "Installed fonts configuration"